import _ from 'underscore';
import jQuery from 'jquery';
window._ = _;
export function isVoid(value) {
    return _.isNull(value) || _.isUndefined(value);
};
export function isJquery(value) {
    try {
        return value instanceof jQuery;
    } catch (e) {
        return false;
    }
};
export function toJquery(value) {
    if (_.isString(value)) {
        return $(value);
    }
    return value;
};
export function callSafe(value) {
    if (isVoid(value)) {
        return;
    }
    return f();
};
function s4() {
    return Math.floor((1 + Math.random()) * 0x10000).toString(16).substring(1);
}
export function guid() {
    return s4() + s4() + s4() + s4() + s4() + s4() + s4() + s4();
};
export function newId() {
    return `e_${guid()}`;
};
export function kebab_case_to_camelCase(kebabCase) {
    return kebabCase.replace(/-([a-z])/g, function (g) {
        return g[1].toUpperCase();
    });
};
export function containsArabic(value) {
    var arabic = /[\u0600-\u06FF\u0750-\u077F\ufb50-\ufc3f\ufe70-\ufefc]/;
    return arabic.test(value);
};
export function isKeyAlphaNumeric(keyCode) {
    return (keyCode <= 90 && keyCode >= 48) || (keyCode >= 96 && keyCode <= 105);
};
export function isKeyTextInput(keyCode) {
    //8: backspace
    //46: delete
    return isKeyAlphaNumeric(keyCode) || keyCode === 8 || keyCode === 46;
}
_.isVoid = isVoid;
_.isJquery = isJquery;
_.toJquery = toJquery;
_.callSafe = callSafe;
_.guid = guid;
_.newId = newId;
_.kebab_case_to_camelCase = kebab_case_to_camelCase;
_.containsArabic = containsArabic;
_.isKeyAlphaNumeric = isKeyAlphaNumeric;
_.isKeyTextInput = isKeyTextInput;